=== debian/changelog ===
mle (1.3-2) unstable; urgency=medium

  * Cherry pick commits from 0d51b0d to af76670 to fix portability.

 -- Adam Saponara <as@php.net>  Mon, 31 Dec 2018 15:37:42 -0500

mle (1.3-1) unstable; urgency=medium

  * Initial release (Closes: #908093)

 -- Adam Saponara <as@php.net>  Fri, 21 Dec 2018 12:52:44 -0500
