=== debian/control ===
Source: mle
Section: editors
Priority: optional
Maintainer: Adam Saponara <as@php.net>
Build-Depends: debhelper (>= 11), libpcre3-dev, uthash-dev, liblua5.3-dev, libtermbox-dev
Standards-Version: 4.2.1
Vcs-Git: https://github.com/adsr/mle.git
Vcs-Browser: https://github.com/adsr/mle
Homepage: https://github.com/adsr/mle

Package: mle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fzf, tree
Suggests: less, universal-ctags, perl
Description: flexible terminal-based editor
 mle is a small, flexible, terminal-based text editor
 written in C. Notable features include: full Unicode
 support, syntax highlighting, scriptable rc file, macros,
 search and replace (PCRE), window splitting, multiple
 cursors, and integration with various shell commands.
