## mle 1.4.3

=== Makefile ===
--- 
+++ 
@@ -2,27 +2,26 @@
 
 mle_cflags:=-std=c99 -Wall -Wextra -pedantic -Wno-pointer-arith -Wno-unused-result -Wno-unused-parameter -g -O3 -D_GNU_SOURCE -I.  $(CFLAGS)
 mle_ldflags:=$(LDFLAGS)
-mle_libs:=-lpcre -ltermbox -llua5.3
+mle_dynamic_libs:=-lpcre -ltermbox -llua5.3
+mle_static_libs:=vendor/pcre/.libs/libpcre.a vendor/termbox/src/libtermbox.a vendor/lua/liblua5.3.a
 mle_ldlibs:=-lm $(LDLIBS)
 mle_objects:=$(patsubst %.c,%.o,$(wildcard *.c))
 mle_objects_no_main:=$(filter-out main.o,$(mle_objects))
 mle_func_tests:=$(wildcard tests/func/test_*.sh))
 mle_unit_tests:=$(patsubst %.c,%,$(wildcard tests/unit/*.c))
-mle_link_default:=-Wl,-Bdynamic
 mle_vendor_deps:=
+mle_static_var:=
 
 ifdef mle_static
   mle_static_var:=-static
-  mle_link_default:=-static
 endif
 
 ifdef mle_vendor
-  mle_ldlibs:=-Wl,-Bstatic $(mle_libs) $(mle_link_default) $(mle_ldlibs)
-  mle_ldflags:=-Lvendor/pcre/.libs -Lvendor/termbox/src -Lvendor/lua $(mle_ldflags)
+  mle_ldlibs:=$(mle_static_libs) $(mle_ldlibs)
   mle_cflags:=-Ivendor/pcre -Ivendor/termbox/src -Ivendor -Ivendor/uthash/src $(mle_cflags)
-  mle_vendor_deps:=./vendor/pcre/.libs/libpcre.a ./vendor/termbox/src/libtermbox.a ./vendor/lua/liblua5.3.a
+  mle_vendor_deps:=$(mle_static_libs)
 else
-  mle_ldlibs:=$(mle_libs) $(mle_ldlibs)
+  mle_ldlibs:=$(mle_dynamic_libs) $(mle_ldlibs)
 endif
 
 all: mle
