=== debian/changelog ===
mle (1.4.3-2) unstable; urgency=medium

  * Build fixes

 -- Adam Saponara <as@php.net>  Tue, 18 Feb 2020 15:54:57 -0500

mle (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * Remove patches
  * Switch to semantic versioning

 -- Adam Saponara <as@php.net>  Thu, 13 Feb 2020 22:30:22 -0500
