=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Saponara <as@php.net>
 Build-Depends: debhelper (>= 11), libpcre3-dev, uthash-dev, liblua5.3-dev, libtermbox-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/adsr/mle.git
 Vcs-Browser: https://github.com/adsr/mle
 Homepage: https://github.com/adsr/mle
