=== debian/tests/control ===
Test-Command: make test
Depends: @, @builddeps@
Restrictions: allow-stderr
