=== debian/changelog ===
mle (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Adam Saponara <as@php.net>  Sun, 24 May 2023 20:22:31 -0400

mle (1.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Adam Saponara <as@php.net>  Sun, 29 May 2022 08:37:00 -0400
