=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Adam Saponara <as@php.net>
-Build-Depends: debhelper (>= 11), libpcre3-dev, uthash-dev, liblua5.3-dev, libtermbox-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 11), libpcre2-dev, uthash-dev, liblua5.4-dev
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/adsr/mle.git
 Vcs-Browser: https://github.com/adsr/mle
 Homepage: https://github.com/adsr/mle
